#' Backwards compatibility with old utilities.q and Voir.
#'
#' Depreciated Functions
#'
#' The following functions used to be in "utilities.q" and are no longer
#' implemented:
#' \itemize{
#' \item imsetcommentsystem
#' \item RGB2LAB
#' }
#' To my knowledge they were never used so there should be no compatibility
#' issues.
#'
#' Changed Functions
#'
#' The following functions have CHANGED and \bold{you will need to update
#' your script files} to adapt to them:
#' \describe{
#'     \item{\code{imsavejpegortiff}}{This is now absorbed 
#'            into \code{imsave}}
#'     \item{\code{imloadjpegortiff}}{This is now absorbed
#'            into \code{imload}}
#'     \item{\code{makeOverlay}, \code{makeOverlay2}}{\code{makeOverlay}
#'     previously displayed an overlay in imview but did not calculate 
#      the overlay image itself.
#'     By contrast, \code{makeOverlay2} calculated the overlay image but
#'     did not display it.
#'     Now, \code{\link{makeOverlay}} *makes* the overlay image, whilst
#'     \code{\link{showOverlay}} is the display-but-not-calculate version.}
#'     \item{getImagePoints}{This used to have a \code{cmap} option, and it
#'     no longer has it (it caused segfaults.}
#' }
#'
#' New Functions
#' 
#' \describe{
#' \item{\code{\link{imsubsample}}}{a wrapper around Voir's
#' \code{\link[Voir]{imdownsample}}}
#' }
#'
#' @docType package
#' @name backwardscompatibility
#' @aliases backwards-compatibility
NULL
