\name{array2im}
\alias{array2im}
\title{convert array to Voir image.}
\usage{
  array2im(ary, outPixType = NULL, ...)
}
\arguments{
  \item{ary}{an array of dimensions (ny, nx, nchanns) to be
  converted.}

  \item{outPixType}{the output pixel type: \describe{
  \item{IM.BINARY}{1 byte, binary pixels, 1 and 0}
  \item{IM.CHAR, IM.INT1}{1 byte, char, -127 to 128 }
  \item{IM.UINT1}{1 byte, int, 0 to 255} \item{IM.INT2,
  IM.SHORT}{2 byte int, -32,767 to 32,768}
  \item{IM.UINT2}{2 byte unsigned int, 0 to 65,535}
  \item{IM.INT, IM.INT4}{4 byte int, -2,147,483,647 to
  2,147,483,648} \item{IM.UINT4}{4 byte unsigned int, 0 to
  4,294,967,295} \item{IM.INT8}{8 byte int, approx.
  -9.2e+18 to 9.2e+18} \item{IM.UINT8}{8 byte unsigned int,
  0 to approx. 1.8e+19} \item{IM.FLOAT}{4 byte float}
  \item{IM.DOUBLE}{8 byte double} }}

  \item{...}{IGNORED If left NULL, will return an image of
  type IM.DOUBLE if \code{storage.mode(ary)=="double"}, and
  IM.INT4 otherwise.}
}
\value{
  Voir image from input "ary".
}
\description{
  This is different to Voir's \code{as.image} in that it
  preserves channels (the former will only return the first
  channel as an image).
}
\seealso{
  Other convert: \code{\link{im2array}}
}

