\name{getImagePoints}
\alias{getImagePoints}
\title{retrieves points interactively from an image.}
\usage{
  getImagePoints(imageOrPath,
    customInstructions = "Then click on the points you wish to select.\n",
    killWindow = TRUE)
}
\arguments{
  \item{imageOrPath}{the image to be selected from}

  \item{customInstructions}{custom instructions to be
  printed to the screen}

  \item{killWindow}{whether to kill the imview window once
  points are picked.}
}
\value{
  a LIST with the following elements: \describe{
  \item{points}{an nx9 array, n being the number of points
  selected.  It has columns "X", "Y", "Z" giving (0-based)
  coordinates of the points selected, columns "x", "y",
  "z", being the same as the upper-case versions, and
  columns "R", "G", "B", with the intensities in each
  channel of the image at the selected points.}
  \item{ngroups}{the number of groups selected (1)}
  \item{type}{The type of the points ('colour')}
  \item{nplanes}{The number of channels in the points
  (equal to the number of channels in the image} }
}
\description{
  retrieves points interactively from an image.
}
\seealso{
  \code{\link{pointPicker}}, which uses grid instead of
  imview and restricts the number of points to be chosen.
}

