\name{imdisp}
\alias{imdisp}
\title{displays an image within imview with automagic window size}
\usage{
  imdisp(img, fractionOfScreen = 0.5, ...)
}
\arguments{
  \item{img}{the image to display}

  \item{fractionOfScreen}{between 0 and 1, the fraction of
  the user's}

  \item{...}{UNUSED (for compatibility with non-Voir
  version of the package) screen to use up with the window.
  The window will be resized such that the *maximum*
  dimension takes up
  \code{fractionOfScreen*screenResolution} for that
  dimension.}
}
\value{
  the imview connection to the new window
}
\description{
  This function displays an image within imview,
  automatically reizing the window such that it fills at
  most \code{fractionOfScreen} of the screen.
}
\details{
  This can be handy when dealing with big images that
  typically start up (in imview) at their full size, bein
  larger than the screen.
}
\note{
  This function will only work if it is able to determine
  your screen resolution. See
  \code{\link{getScreenResolution}} for that; on unix it
  uses \code{xdpyinfo}; on windows it uses \code{wmic}.

  If it is unable to determine the screen size, a default
  maximum dimension of 640 pixels will be used.
}

