\name{makeOverlay}
\alias{makeOverlay}
\title{overlays a single-channel binary image onto another.}
\usage{
  makeOverlay(img, overlay, transparency = 0.5,
    col = c(255, 0, 0), cmap = "regions")
}
\arguments{
  \item{cmap}{name of colour map to use. See
  \code{\link{listColourMaps}} for all possible colour
  maps.}

  \item{img}{the input image}

  \item{overlay}{the overlay image.  It will be coerced to
  binary.  Where it is 1 or TRUE, the overlay will be shown
  on the input image.}

  \item{transparency}{the transparency of the overlay, from
  0 to 1.  0 corresponds to an opaque overlay, and 1
  corresponds to a transparent overlay.}

  \item{col}{The colour to draw the overlay in.  Either a
  string of a colour recognised by R, or a numeric vector
  \code{c(R,G,B)} with red/green/blue values the desired
  colour, from 0 to 255.}
}
\value{
  an image with the overlay on top of it in the specified
  transparency and colour, of type IM.CHAR (IM.UINT1).
}
\description{
  overlays a single-channel binary image onto another.
}
\note{
  if you want to only *view* the overlay and don't care
  about having the image object, use
  \code{\link{showOverlay}}.
}
\seealso{
  Other overlay: \code{\link{getColourmapPath}},
  \code{\link{listColourMaps}},
  \code{\link{loadColourMap}},
  \code{\link{makeOverlay.grid}}, \code{\link{showOverlay}}
}

