\name{showOverlay}
\alias{showOverlay}
\title{Overlay a binary image onto another image, displaying it within imview.}
\usage{
  showOverlay(img, ovl, conn = imview.new(),
    windowTitle = deparse(substitute(ovl)),
    openSaveDialog = FALSE)
}
\arguments{
  \item{img}{the image to overlay onto}

  \item{ovl}{the *binary* image to be overlaid onto img.}

  \item{conn}{the imview connection to display the overlay
  on (by default it will make a new one)}

  \item{windowTitle}{The title to use for the overlay
  (default being the variable name of the overlay
  image...)}

  \item{openSaveDialog}{boolean, default FALSE, whether to
  open up a "save as" dialogue after showing the overlay.}
}
\value{
  the imview connection to the overlay window.
}
\description{
  Overlay a binary image onto another image, displaying it
  within imview.
}
\note{
  This just displays the overlay on top of the image. If
  you want the actual image object consisting of the
  overlay on the image, use \code{\link{makeOverlay}}.
}
\seealso{
  Other overlay: \code{\link{getColourmapPath}},
  \code{\link{listColourMaps}},
  \code{\link{loadColourMap}}, \code{\link{makeOverlay}},
  \code{\link{makeOverlay.grid}}
}

